#include "resources.h"

const char *errmsgs[] = {
  /* E_NONE      0 */  "no error\n",
  /* E_NOMEM    -1 */  "not enough memory\n",
  /* E_FOPEN    -2 */  "cannot open file `%s'\n",
  /* E_FREAD    -3 */  "read error on file `%s'\n",
  /* E_FWRITE   -4 */  "write error on file `%s'\n",
  /* E_OPTION   -5 */  "unknown option -%c\n",
  /* E_OPTARG   -6 */  "missing option argument\n",
  /* E_ARGCNT   -7 */  "wrong number of arguments\n",
  /* E_STDIN    -8 */  "double assignment of standard input\n",
  /* E_SUPP     -9 */  "invalid minimal support %g%%\n",
  /* E_CONF    -10 */  "invalid minimal confidence %g%%\n",
  /* E_AREM    -11 */  "invalid evaluation measure %d\n",
  /* E_AREMVAL -12 */  "invalid value %g%% for evaluation measure\n",
  /* E_RLEN    -13 */  "invalid rule length %d\n",
  /* E_SIDEXP  -14 */  "set id missing in file `%s', record %d\n",
  /* E_ITEMEXP -15 */  "item missing in file `%s', record %d\n",
  /* E_DUPITEM -16 */  "duplicate item in file `%s', record %d\n",
  /* E_FLDCNT  -17 */  "too many fields in file `%s', record %d\n",
  /* E_UNKAPP  -18 */  "unknown indicator in file `%s', record %d\n",
  /* E_INPUT   -19 */  "Invalid input type\n",
  /* E_MAPPING -20 */  "Impossible to compute F-measure or quality measure without mapping\n",
  /* E_ALGO	   -21 */  "Invalid algorithm type\n",
  /* E_FXML    -22 */  "error reading XML file `%s'\n" 
  /* E_UNKNOWN -23 */  "unknown error\n",
};
