#ifndef TEMP_AND_UNLINK_HPP_INCLUDED
#define TEMP_AND_UNLINK_HPP_INCLUDED


#ifdef _WIN32
# include <io.h>
#else 
# include <cstdlib>
# include <unistd.h>
#endif

inline const char* maketempfile(char* templatename)
{
#ifdef __GNUC__
 return mktemp(templatename);
#else
 return _mktemp(templatename);
#endif         
}

inline int unlinkfile(const char* path)
{
#ifdef __GNUC__
 return unlink(path);      
#else
 return _unlink(path);      
#endif
}

#endif
